Name:		virtualmoon
Version:	6.1
Release:	%mkrel 1
Source:		http://sourceforge.net/projects/virtualmoon/files/1- virtualmoon/Version %{version}/virtualmoon-%{version}-src.tar.xz
Summary:	Software for Moon observation and survey
License:	GPLv2+
Group:		Sciences/Astronomy
Url:		http://www.astrosurf.com/avl 
Patch1:		virtualmoon-6.0-mga-cairo-unit.patch
Patch2:		virtualmoon-nostrip.diff
Patch3:         virtualmoon-6.0-buildfix.patch
# skip arm for now
ExcludeArch:    aarch64 armv7hl

BuildRequires: fpc
BuildRequires: lazarus
BuildRequires: mesaglu-devel
Requires: virtualmoon-data

%description
Software for Moon observation and survey. Let you visualize the real
Moon aspect at every time. Also help to study any lunar formations
using feature database and pictures library.


%prep
%setup -q -n virtualmoon-%{version}-src
%autopatch -p1
sed -i -e s!destdir/lib!destdir/%{_lib}!g install.sh
sed -i -e s!../pixmaps/!! -e s!.xpm!! -e s!Astronomy!Astronomy\;! Installer/Linux/vmapro/share/applications/*.desktop

%build
# This is not GNU configure
./configure lazarus=%{_libdir}/lazarus
# Must use single threaded since Makefile doesn't work
# multi-thread
make -j1 FPCOPT="-g"

%install
./install.sh %{buildroot}%{_prefix}
%{__install} -d -m755 %{buildroot}%{_datadir}/virtualmoon
mv %{buildroot}%{_datadir}/doc/%{name}/* doc
cp -r Database %{buildroot}%{_datadir}/virtualmoon
cp -r Encyclopedia %{buildroot}%{_datadir}/virtualmoon
# (tv) fix debufinfo:
chmod +x %{buildroot}%{_libdir}


%files
%doc doc/*
%{_bindir}/*lun
%{_libdir}/libvma404.so
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.xpm


%changelog
* Thu Jun 18 2020 joequant <joequant> 6.1-1.mga8
+ Revision: 1595630
- virtualmoon 6.1
- exclude arm build for now
- comment out arm cpu
- imported package virtualmoon

